Can't run chapcrack #11

vfad opened this Issue Aug 27, 2012 · 7 comments

3 participants


Hi, I've got toubles with running chapcrack. Seems like it can't find a library. Here's the output:

root@bt:~# chapcrack
Traceback (most recent call last):
File "/usr/local/bin/chapcrack", line 6, in
from chapcrack.commands.CrackK3Command import CrackK3Command
File "/usr/local/lib/python2.6/dist-packages/chapcrack/commands/", line 7, in
from chapcrack.crypto.K3Cracker import K3Cracker
File "/usr/local/lib/python2.6/dist-packages/chapcrack/crypto/", line 11, in
from passlib.utils import des

What's wrong and how to fix it?


[sudo] pip install passlib


hmm.. pip says: Unknown or unsupported command 'install'
should I add any path somewhere or anything like that?


can you send the output of pip --version ?


root@bt:/# pip --version
Unknown option: version

Did not provide a command

But I actually just installed pip and can find version number in console output:

Setting up pip (0.13-1) ...


That's an extraordinarily old version of pip. I'm assuming that you're on backtrack? Which release?

EDIT: Looks like pip is also a perl distribution tool with different numbers. Uninstall pip and install the python-pip package.

Then run pip install passlib again.


Yes, BT5R3
I've already solved the problem using easy_install and chapcrack works. But now I'm in a little trouble with submitting the result to cloudcracker. Cracker asks for a chapcrack output file. Where can I find it if I see only output on the screen?


Save the value of the "CloudCracker Submission Token" line ("$99$") to a file, and submit that file.

@moxie0 moxie0 closed this Aug 27, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment